/* $Id: MarkerRegion.java 185 2011-05-27 03:51:24Z minao $ */
package smart_gs.logical.region;

import java.awt.geom.Point2D;


import smart_gs.drawing_tool.view.MarkerView;
import smart_gs.logical.Region;
import smart_gs.logical.Spread;

public class MarkerRegion extends Region {

	public MarkerRegion(Spread spread, Point2D start, Point2D end, String uri, String originalURI, String version) {
		super(spread,new MarkerView(start,end),uri,originalURI, version);
		//this.points.add(start);
		//this.points.add(end);
		// 2011/01/09 comment out by kukita		
	}

	public MarkerRegion(Spread spread, Point2D start, Point2D end) {
		super(spread,new MarkerView(start,end));
	}

}
